package org.ilyin.tests.testSet;

import org.ilyin.model.*;
import org.ilyin.tests.ITest;
import org.ilyin.tests.TestFiller;

public class Test03 implements ITest {
	public String getName() {
		return "3. IUnit.getName() test";
	}

	// tests constructors and getName()
	public boolean run() {
		IModelFiller f = new TestFiller();
		IFileManager m = FileManagerHolder.getFileManager();
		m.setFiller(f);
		
		IUnit d0 = m.getUnit("catalog");
		IUnit d1 = m.getUnit("catalog" + f.separatorChar() + "dir");
		IUnit d2 = m.getUnit("test1", (IDirectory)d1);
		
		//System.out.println(d0.getName());
		//System.out.println(d1.getName());
		//System.out.println(d2.getName());
		String answer0 = "catalog"; 
		String answer1 = "dir";
		String answer2 = "test1";
		
		return (answer0.equals(d0.getName()) &&
				answer1.equals(d1.getName()) &&
				answer2.equals(d2.getName()));
	}
}
