package org.ilyin.tests.testSet;

import org.ilyin.tests.*;
import org.ilyin.model.*;
import org.ilyin.fileSystemAPI.*;

public class Test08 implements ITest {
	public String getName() {
		return "8. RealFiller.getChildren() test #2";
	}

	// tests RealFiller.getChildren()
	public boolean run() {
		IFileManager m = FileManagerHolder.getFileManager();
		IModelFiller f = new RealFiller();
		m.setFiller(f);
		
		IDirectory d = (IDirectory)m.getUnit("testCatalogs" + f.separatorChar() + 
									  		 "catalog" + f.separatorChar() + 
									  		 "empty");
		
		String result = "";
		for (IUnit u : d.getChildren()) {
			result += u.toString() + "\n";
		}
		
		String answer = "";
		
		return answer.equals(result);
	}
}
