package org.ilyin.tests.testSet;

import org.ilyin.tests.*;
import org.ilyin.model.*;

public class Test13 implements ITest {
	public String getName() {
		return "13. IFileManager.getUnit() test";
	}

	public boolean run() {
		IFileManager manager = FileManagerHolder.getFileManager();
		manager.setFiller(new TestFiller());
		
		IDirectory parent = (IDirectory)manager.getUnit("dir");
		IUnit child1 = manager.getUnit("catalog", parent);
		IUnit child2 = manager.getUnit("catalog", parent);
		
		return child1 == child2;
	}
}
