package org.ilyin.tests.testSet;

import org.ilyin.model.*;
import org.ilyin.tests.*;

public class Test14 implements ITest {
	public String getName() {
		return "14. IFileManager.getUnit() test #2";
	}

	public boolean run() {
		IFileManager manager = FileManagerHolder.getFileManager();
		IModelFiller filler = new TestFiller(); 
		manager.setFiller(filler);

		IUnit dir1 = manager.getUnit("dir" + filler.separatorChar() + "test1");
		IUnit dir2 = manager.getUnit("dir" + filler.separatorChar() + "test1");
		
		return dir1 == dir2;
	}
}