package org.ilyin.tests.testSet;

import org.ilyin.model.*;
import org.ilyin.fileSystemAPI.*;
import org.ilyin.tests.ITest;

public class Test19 implements ITest {
	public String getName() {
		return "19. RealFiller.readChars() test";
	}

	public boolean run() {
		IFileManager m = FileManagerHolder.getFileManager();
		IModelFiller filler = new RealFiller(); 
		m.setFiller(filler);
		
		IFile file = (IFile)m.getUnit("testCatalogs" + filler.separatorChar() + 
									  "types" + filler.separatorChar() + "file.txt");
		
		//System.out.println(file.readChars(100));
		return file.readChars(100).equals("some text");
	}
}
