package org.ilyin.tests.testSet;

import org.ilyin.fileSystemAPI.RealFiller;
import org.ilyin.model.*;
import org.ilyin.tests.ITest;

public class Test20 implements ITest {
	public String getName() {
		return "20. RealFiller.readChars() test #2";
	}

	public boolean run() {
		IFileManager m = FileManagerHolder.getFileManager();
		IModelFiller filler = new RealFiller(); 
		m.setFiller(filler);
		
		IFile file = (IFile)m.getUnit("testCatalogs" + filler.separatorChar() +
									  "catalog" + filler.separatorChar() + "empty.txt");
		
		return file.readChars(1).equals("");
	}
}
