package org.ilyin.tests.testSet;

import org.ilyin.fileSystemAPI.RealFiller;
import org.ilyin.fileTypes.SimpleType;
import org.ilyin.model.*;
import org.ilyin.tests.*;

public class Test22 implements ITest {
	public String getName() {
		return "22. GIF Test #2";
	}
	
	public boolean run() {
		IFileManager manager = FileManagerHolder.getFileManager();
		IModelFiller filler = new RealFiller();
		manager.setFiller(filler);

		IUnit unit = manager.getUnit("testCatalogs" + filler.separatorChar() + "types" + 
									 filler.separatorChar() + "gif2");
		IFileType type = new SimpleType("GIF Type", "gif.jpg", "GIF87a");
		
		return type.doesBelong(unit);
	}
}