package org.ilyin.tests.testSet;

import org.ilyin.model.*;
import org.ilyin.tests.*;
import org.ilyin.fileSystemAPI.RealFiller;

public class Test31 implements ITest {
	public String getName() {
		return "31. IUnit.isDirectory() test #3";
	}

	public boolean run() {
		IFileManager manager = FileManagerHolder.getFileManager();
		IModelFiller filler = new RealFiller(); 
		manager.setFiller(filler);

		IUnit unit = manager.getUnit("testCatalogs" + filler.separatorChar() + "catalog");

		return unit.isDirectory();
	}
}
