package org.ilyin.tests.testSet;

import org.ilyin.fileSystemAPI.RealFiller;
import org.ilyin.model.*;
import org.ilyin.tests.ITest;

public class Test32 implements ITest {
	public String getName() {
		return "32. IUnit.isDirectory() test #3";
	}

	public boolean run() {
		IFileManager manager = FileManagerHolder.getFileManager();
		IModelFiller filler = new RealFiller(); 
		manager.setFiller(filler);

		IUnit unit = manager.getUnit("testCatalogs" + filler.separatorChar() + "readme.txt");

		return !unit.isDirectory();
	}
}
