package org.ilyin.tests.testSet;

//import org.ilyin.fileSystemAPI.RealFiller;
import org.ilyin.model.*;
import org.ilyin.tests.*;

public class Test38 implements ITest {
	public String getName() {
		return "38. IFileManager.setName() test #2";
	}

	public boolean run() {
		IFileManager manager = FileManagerHolder.getFileManager();
		IModelFiller filler = new TestFiller(); 
		manager.setFiller(filler);
		
		IUnit unit = manager.getUnit("dir");
		manager.rename(unit, "dir2");
		
		String result = unit.getCanonicalPath();
		String answer = "c:\\parent\\dir2";
		//System.out.println("     " + result);
		
		manager.rename(unit, "dir");
		
		return answer.equals(result);
	}
}
