package org.ilyin.tests.testSet;

import org.ilyin.fileSystemAPI.RealFiller;
import org.ilyin.fileTypes.SimpleType;
import org.ilyin.model.*;
import org.ilyin.tests.ITest;

public class Test44 implements ITest {
	public String getName() {
		return "44. PDF Test";
	}
	
	public boolean run() {
		IFileManager manager = FileManagerHolder.getFileManager();
		IModelFiller filler = new RealFiller();
		manager.setFiller(filler);

		IUnit unit = manager.getUnit("testCatalogs" + filler.separatorChar() + 
									 "types" + filler.separatorChar() + "pdf");
		IFileType type = new SimpleType("PDF", "pdf.jpg", "%PDF-");

		return type.doesBelong(unit);
	}
}