package org.ilyin.tests.testSet;

import org.ilyin.fileSystemAPI.RealFiller;
import org.ilyin.fileTypes.SimpleType;
import org.ilyin.model.*;
import org.ilyin.tests.ITest;

public class Test45 implements ITest {
	public String getName() {
		return "45. PDF Test #2";
	}
	
	public boolean run() {
		IFileManager manager = FileManagerHolder.getFileManager();
		IModelFiller filler = new RealFiller(); 
		manager.setFiller(filler);
		
		IUnit unit = manager.getUnit("testCatalogs" + filler.separatorChar() + 
									 "types" + filler.separatorChar() + "unknown");
		IFileType type = new SimpleType("PDF", "pdf.jpg", "%PDF-");
		
		return !type.doesBelong(unit);
	}
}