package org.ilyin.tests.testSet;

import org.ilyin.model.*;
import org.ilyin.tests.*;

public class Test46 implements ITest {
	public String getName() {
		return "46. IFileManager.createFile() test";
	}

	public boolean run() {
		IFileManager manager = FileManagerHolder.getFileManager();
		manager.setFiller(new TestFiller());
		
		IDirectory parent = (IDirectory)manager.getUnit("dir");

		manager.createFile(parent, "newfile");
		
		String result = "";
		for (IUnit u : parent.getChildren()) {
			result += u.toString() + "\n";
		}

		String answer = "Directory: catalog\n" + 
						"Directory: dir\n" + 
						"Directory: test1\n" +
						"File: file.txt\n" + 
						"File: newfile\n";

		//System.out.println(result);
		return answer.equals(result);
	}
}
