package org.ilyin.tests.testSet;

import org.ilyin.model.*;
import org.ilyin.tests.*;

public class Test47 implements ITest {
	public String getName() {
		return "47. IFileManager.createDir() test";
	}

	public boolean run() {
		IFileManager manager = FileManagerHolder.getFileManager();
		manager.setFiller(new TestFiller());
		
		IDirectory parent = (IDirectory)manager.getUnit("dir");

		manager.createDir(parent, "newdir");
		
		String result = "";
		for (IUnit u : parent.getChildren()) {
			result += u.toString() + "\n";
		}

		String answer = "Directory: catalog\n" + 
						"Directory: dir\n" +
						"Directory: newdir\n" +
						"Directory: test1\n" +
						"File: file.txt\n";

		//System.out.println(result);
		return answer.equals(result);
	}
}
