package org.ilyin.fileTypes;

import org.ilyin.model.IUnit;
import org.ilyin.model.IFile;

public class PowerpointType extends AbstractType {
	public boolean doesBelong(IUnit unit) {
		if (unit instanceof IFile)
			return unit.getName().endsWith(".ppt");
	
		return false;
	}

	public String getName() {
		return "Powerpoint";
	}

	protected String getIconFilename() {
		return "ppt.jpg";
	}
}
