package org.ilyin.fileTypes;

import org.ilyin.model.IUnit;
import org.ilyin.model.IFile;

public class TextType extends AbstractType {
	public boolean doesBelong(IUnit unit) {
		if (unit instanceof IFile)
			return unit.getName().endsWith(".txt");
		
		return false;
	}

	public String getName() {
		return "Text";
	}

	protected String getIconFilename() {
		return "txt.jpg";
	}
}
