package org.ilyin.gui.nortonView;

import java.awt.event.*;
import java.awt.GridLayout;
import org.ilyin.model.*;
import org.ilyin.gui.AbstractView;

public class NortonView extends AbstractView {
	private FileList myPanel1, myPanel2;
	
	public NortonView(IFileManager manager) {
		setLayout(new GridLayout(1, 2));

		/*String path = Settings.getInstance().getProperty(DIR);
		if (path == null)
			path = ".";
		IDirectory dir = (IDirectory)manager.getUnit(path);*/
		
		myPanel1 = new FileList(manager);
		myPanel2 = new FileList(manager);
		
		addComponentListener(new SizeListener());
		
		add(myPanel1);
		add(myPanel2);
	}
	
	public void closing() {
		//System.out.println("NortonView.closing()");
	}
	
	public IUnit getSelectedUnit() {
		System.out.println(myPanel1.hasFocus());
		System.out.println(myPanel2.hasFocus());
		return null;
	}
	
	public String getViewName() {
		return "norton style view";
	}
	
	public void left() {
		// nothing
	}
	
	public void right() {
		// nothing
	}
	
	public void enter() {
		// nothing
	}

	private class SizeListener extends ComponentAdapter {
		public void componentResized(ComponentEvent e) {
			final int panelWidth = NortonView.this.getSize().width / 2;
			
			final int c = 10;
			NortonView.this.myPanel1.setWidth(panelWidth - c);
			NortonView.this.myPanel2.setWidth(panelWidth - c);
		}
	}

	private static final long serialVersionUID = 889105853480643804L;
}
