package org.ilyin.model;

import java.util.List;

/**
 * This interface represents a directory.
 * 
 * @author Alexander Ilyin
 */
public interface IDirectory extends IUnit {
	/**
	 * Gets files and directories this directory contains.
	 * 
	 * @return files and directories 
	 */
	List<IUnit> getChildren();
}
