package org.ilyin.tests.testSet;

import org.ilyin.model.*;
import org.ilyin.tests.ITest;
import org.ilyin.tests.TestFiller;

public class Test04 implements ITest {
	public String getName() {
		return "4. IUnit.getParent() test";
	}

	// tests constructors and getParent()
	public boolean run() {
		IFileManager m = FileManagerHolder.getFileManager();
		IModelFiller f = new TestFiller();
		m.setFiller(f);
		//FileManager.instance().setFiller(f);
		
		IUnit d0 = m.getUnit("catalog");
		IUnit d1 = m.getUnit("catalog" + f.separatorChar() + "dir");
		IUnit d2 = m.getUnit("test1", (IDirectory)d1);
		
		//System.out.println(d0.getParent().getName());
		//System.out.println(d1.getParent().getName());
		//System.out.println(d2.getParent().getName());
		String answer0 = "parent";
		String answer1 = "catalog";
		String answer2 = "dir";
		
		return ((answer0.equals(d0.getParent().getName())) &&
				(answer1.equals(d1.getParent().getName())) &&
				(answer2.equals(d2.getParent().getName())));
	}
}
