package org.ilyin.tests.testSet;

import org.ilyin.model.*;
import org.ilyin.tests.ITest;
import org.ilyin.tests.TestFiller;

public class Test05 implements ITest {
	public String getName() {
		return "5. IDirectory.getChildren() test";
	}

	// tests Directory's property "children"
	public boolean run() {
		IFileManager m = FileManagerHolder.getFileManager();
		m.setFiller(new TestFiller());

		IDirectory d = (IDirectory)m.getUnit("dir");

		String result = "";
		for (IUnit u : d.getChildren()) {
			result += u.toString() + "\n";
		}
		
		//System.out.println(result);
		String answer = "Directory: catalog\n" + 
						"Directory: dir\n" + 
						"Directory: test1\n" +
						"File: file.txt\n";
		
		return answer.equals(result);
	}
}