package org.ilyin.tests.testSet;

import org.ilyin.model.*;
import org.ilyin.fileSystemAPI.RealFiller;
import org.ilyin.tests.ITest;

public class Test06 implements ITest {
	public String getName() {
		return "6. RealFiller.getCanonicalPath() test";
	}

	// tests RealFiller.getCanonicalPath()
	public boolean run() {
		IFileManager m = FileManagerHolder.getFileManager();
		IModelFiller filler = new RealFiller(); 
		m.setFiller(filler);
		
		IUnit d = m.getUnit("testCatalogs");
		IUnit f = m.getUnit("testCatalogs" + filler.separatorChar() + "readme.txt");
		
		return f.getCanonicalPath().startsWith(d.getCanonicalPath());
	}
}
