package org.ilyin.tests.testSet;

import org.ilyin.tests.*;
import org.ilyin.model.*;
import org.ilyin.fileSystemAPI.*;

public class Test07 implements ITest {
	public String getName() {
		return "7. RealFiller.getChildren() test";
	}

	// tests RealFiller.getChildren()
	public boolean run() {
		IFileManager m = FileManagerHolder.getFileManager();
		m.setFiller(new RealFiller());
		
		IDirectory d = (IDirectory)m.getUnit("testCatalogs");
		
		String result = "";
		for (IUnit u : d.getChildren()) {
			result += u.toString() + "\n";
			//System.out.println(u);
		}

		String answer = "Directory: catalog\n" +
						"Directory: dir\n" +
						"Directory: types\n" + 
						"File: readme.txt\n";

		return answer.equals(result);
	}
}