package org.ilyin.tests.testSet;

import org.ilyin.tests.*;
import org.ilyin.model.*;
import org.ilyin.fileSystemAPI.*;

public class Test09 implements ITest {
	public String getName() {
		return "9. RealFiller.getParent() test";
	}

	// tests RealFiller.getParent()
	public boolean run() {
		IModelFiller f = new RealFiller();
		//FileManager.instance().setFiller(f);
		IFileManager m = FileManagerHolder.getFileManager();
		m.setFiller(f);
		
		IUnit d = m.getUnit("testCatalogs" + f.separatorChar() + 
							"catalog" + f.separatorChar() + 
							"empty");
		
		String answer = "catalog";
		
		//System.out.println(d.getParent().getName());
		return answer.equals(d.getParent().getName());
	}
}
