package org.ilyin.tests.testSet;

import org.ilyin.model.*;
import org.ilyin.tests.ITest;
import org.ilyin.tests.TestFiller;

public class Test17 implements ITest {
	public String getName() {
		return "17. IFile.readChars() test";
	}

	public boolean run() {
		IFileManager m = FileManagerHolder.getFileManager();
		m.setFiller(new TestFiller());

		IFile file = (IFile)m.getUnit("file.txt");
		
		return file.readChars(4).equals("abcd");
	}
}
