package org.ilyin.tests.testSet;

import org.ilyin.model.*;
import org.ilyin.tests.ITest;
import org.ilyin.tests.TestFiller;

public class Test18 implements ITest {
	public String getName() {
		return "18. IFile.readChars() test #2";
	}

	public boolean run() {
		IFileManager m = FileManagerHolder.getFileManager();
		m.setFiller(new TestFiller());
		
		IFile file = (IFile)m.getUnit("file.txt");
		
		return file.readChars(10).equals("abcde");
	}
}
