package org.ilyin.tests.testSet;

import org.ilyin.model.*;
import org.ilyin.tests.*;
import org.ilyin.fileSystemAPI.RealFiller;
import org.ilyin.fileTypes.SimpleType;

public class Test24 implements ITest {
	public String getName() {
		return "24. GIF Test #4";
	}
	
	public boolean run() {
		IFileManager manager = FileManagerHolder.getFileManager();
		IModelFiller filler = new RealFiller(); 
		manager.setFiller(filler);
		
		IUnit unit = manager.getUnit("testCatalogs" + filler.separatorChar() + 
									 "types" + filler.separatorChar() + "unknown");
		IFileType type = new SimpleType("GIF Type", "gif.jpg", "GIF87a");
		
		return !type.doesBelong(unit);
	}
}
