package org.ilyin.tests.testSet;

import org.ilyin.fileSystemAPI.RealFiller;
import org.ilyin.fileTypes.SimpleType;
import org.ilyin.model.*;
import org.ilyin.tests.*;

public class Test25 implements ITest {
	public String getName() {
		return "25. ZIP Test";
	}
	
	public boolean run() {
		IFileManager manager = FileManagerHolder.getFileManager();
		IModelFiller filler = new RealFiller();
		manager.setFiller(filler);

		IUnit unit = manager.getUnit("testCatalogs" + filler.separatorChar() + "types" + 
									 filler.separatorChar() + "zip");
		IFileType type = new SimpleType("ZIP Type", "zip.jpg", "PK");
		
		return type.doesBelong(unit);
	}
}
