package org.ilyin.tests.testSet;

import org.ilyin.fileSystemAPI.RealFiller;
import org.ilyin.fileTypes.SimpleType;
import org.ilyin.model.FileManagerHolder;
import org.ilyin.model.IFileManager;
import org.ilyin.model.IFileType;
import org.ilyin.model.IModelFiller;
import org.ilyin.model.IUnit;
import org.ilyin.tests.*;

public class Test26 implements ITest {
	public String getName() {
		return "26. ZIP Test #2";
	}
	
	public boolean run() {
		IFileManager manager = FileManagerHolder.getFileManager();
		IModelFiller filler = new RealFiller(); 
		manager.setFiller(filler);
		
		IUnit unit = manager.getUnit("testCatalogs" + filler.separatorChar() + 
									 "types" + filler.separatorChar() + "unknown");
		IFileType type = new SimpleType("ZIP Type", "zip.jpg", "PK");
		
		return !type.doesBelong(unit);
	}
}
