package org.ilyin.tests.testSet;

import org.ilyin.model.FileManagerHolder;
import org.ilyin.model.IFileManager;
import org.ilyin.model.IUnit;
import org.ilyin.tests.ITest;
import org.ilyin.tests.TestFiller;
import org.ilyin.tests.TestType;

public class Test28 implements ITest {
	public String getName() {
		return "28. IUnit.getType() test #2";
	}

	public boolean run() {
		IFileManager manager = FileManagerHolder.getFileManager();
		manager.setFiller(new TestFiller());

		TestType type = new TestType();
		manager.setType(type);
		
		IUnit unit = manager.getUnit("dir");

		try {
			unit.getType();
		} catch(RuntimeException e) {
			return true;
		}
		
		return false;
	}
}
