package org.ilyin.tests.testSet;

import org.ilyin.model.*;
import org.ilyin.tests.*;

public class Test33 implements ITest {
	public String getName() {
		return "33. RealFiller methods invocation number test";
	}

	public boolean run() {
		IFileManager manager = FileManagerHolder.getFileManager();
		TestFiller filler = new TestFiller(); 
		manager.setFiller(filler);

		// testing number of invocations of RealFiller.getChildren()
		manager.getUnit("dir" + filler.separatorChar() + "catalog");
		if (filler.getChildrenInvocationNumber() != 2)
			return false;
		
		IUnit unit = manager.getUnit("dir");
		((IDirectory)unit).getChildren();
		manager.getUnit("dir" + filler.separatorChar() + "dir");
		if (filler.getChildrenInvocationNumber() != 2)
			return false;
		
		manager.getUnit("dir" + filler.separatorChar() + "dir" + 
						filler.separatorChar() + "dir" + filler.separatorChar() + "dir");
		if (filler.getChildrenInvocationNumber() != 4)
			return false;
		
		manager.getUnit("catalog" + filler.separatorChar() + "test1");
		if (filler.getChildrenInvocationNumber() != 5)
			return false;

		// testing number of invocations of RealFiller.getParent()
		if (filler.getParentInvocationNumber() != 1)
			return false;
		
		unit.getParent();
		if (filler.getParentInvocationNumber() != 1)
			return false;
		
		return true;
	}
}
