package org.ilyin.tests.testSet;

import org.ilyin.tests.ITest;
import java.io.File;
import javax.swing.ImageIcon;

public class Test34 implements ITest {
	public String getName() {
		return "34. Small icon test";
	}

	public boolean run() {
		final String path = "icons" + File.separatorChar + "small";
		final int width = 16;
		final int height = 16;
		
		File dir = new File(path);
		
		for (String iconName : dir.list()) {
			ImageIcon icon = new ImageIcon(path + File.separatorChar + iconName);
			
			if (icon.getIconHeight() != width)
				return false;
			if (icon.getIconWidth() != height)
				return false;			
		}
		
		return true;
	}
}
