package org.ilyin.tests.testSet;

import java.io.File;

import javax.swing.ImageIcon;

import org.ilyin.tests.ITest;

public class Test35 implements ITest {
	public String getName() {
		return "35. Large icon test";
	}

	public boolean run() {
		final String path = "icons" + File.separatorChar + "large";
		final int width = 50;
		final int height = 50;
		
		File dir = new File(path);
		
		for (String iconName : dir.list()) {
			ImageIcon icon = new ImageIcon(path + File.separatorChar + iconName);
			
			if (icon.getIconHeight() != width)
				return false;
			if (icon.getIconWidth() != height)
				return false;			
		}
		
		return true;
	}
}
