package org.ilyin.tests.testSet;

import org.ilyin.model.*;
import org.ilyin.tests.*;

public class Test36 implements ITest {
	public String getName() {
		return "36. IFileManager.setName() test";
	}

	public boolean run() {
		IFileManager manager = FileManagerHolder.getFileManager();
		manager.setFiller(new TestFiller());
		
		IUnit unit = manager.getUnit("dir");
		manager.rename(unit, "dir2");
		
		String result = "";
		for (IUnit u : unit.getParent().getChildren()) {
			result += u.toString() + "\n";
		}
		
		//System.out.println(result);
		String answer = "Directory: catalog\n" + 
						"Directory: dir2\n" + 
						"Directory: test1\n" +
						"File: file.txt\n";

		return answer.equals(result);
	}
}
