package org.ilyin.tests.testSet;

import org.ilyin.fileSystemAPI.RealFiller;
import org.ilyin.model.*;
import org.ilyin.tests.*;

public class Test37 implements ITest {
	public String getName() {
		return "37. RealFiller.setName() test";
	}

	public boolean run() {
		IFileManager manager = FileManagerHolder.getFileManager();
		IModelFiller filler = new RealFiller(); 
		manager.setFiller(filler);

		IUnit unit = manager.getUnit("testCatalogs" + filler.separatorChar() + "dir");
		manager.rename(unit, "dir2");

		String result = "";
		for (IUnit u : unit.getParent().getChildren()) {
			result += u.toString() + "\n";
			//System.out.println(u);
		}
		
		String answer = "Directory: catalog\n" +
						"Directory: dir2\n" +
						"Directory: types\n" + 
						"File: readme.txt\n";
		manager.rename(unit, "dir");
		return answer.equals(result);
	}
}
