package org.ilyin.tests.testSet;

import org.ilyin.model.*;
import org.ilyin.tests.*;

public class Test39 implements ITest {
	public String getName() {
		return "39. IFileManager.setName() test #3";
	}

	public boolean run() {
		IFileManager manager = FileManagerHolder.getFileManager();
		IModelFiller filler = new TestFiller(); 
		manager.setFiller(filler);
		
		IUnit unit = manager.getUnit("dir");
		IUnit child = manager.getUnit("test1", (IDirectory)unit);

		manager.rename(unit, "dir2");
		//System.out.println(child.getCanonicalPath());
		
		String answer = "c:\\parent\\dir\\test1"; // dir2!!!
		
		return answer.equals(child.getCanonicalPath());
	}
}
