package org.ilyin.tests.testSet;

import org.ilyin.fileSystemAPI.RealFiller;
import org.ilyin.fileTypes.SimpleType;
import org.ilyin.model.*;
import org.ilyin.tests.ITest;

public class Test42 implements ITest {
	public String getName() {
		return "42. BMP Test";
	}
	
	public boolean run() {
		IFileManager manager = FileManagerHolder.getFileManager();
		IModelFiller filler = new RealFiller();
		manager.setFiller(filler);

		IUnit unit = manager.getUnit("testCatalogs" + filler.separatorChar() + 
									 "types" + filler.separatorChar() + "bmp");
		IFileType type = new SimpleType("BMP", "unknown.jpg", "BM");

		return type.doesBelong(unit);
	}
}