package org.ilyin.tests.testSet;

import org.ilyin.fileSystemAPI.RealFiller;
import org.ilyin.model.*;
import org.ilyin.tests.*;
import java.io.File;

public class Test48 implements ITest {
	public String getName() {
		return "48. RealFiller.createDir() test";
	}

	public boolean run() {
		IFileManager manager = FileManagerHolder.getFileManager();
		IModelFiller filler = new RealFiller(); 
		manager.setFiller(filler);
		
		IDirectory parent = (IDirectory)manager.getUnit("testCatalogs");
		manager.createDir(parent, "new");

		String path = "testCatalogs" + filler.separatorChar() + "new"; 
		File f = new File(path);
		boolean result = f.exists();
		
		f.delete();
		return result;
	}
}
