package org.ilyin.tests.testSet;

import org.ilyin.model.*;
import org.ilyin.tests.*;

public class Test50 implements ITest {
	public String getName() {
		return "50. RealFiller.readChars() invocation number test";
	}

	public boolean run() {
		IFileManager manager = FileManagerHolder.getFileManager();
		TestFiller filler = new TestFiller(); 
		manager.setFiller(filler);
		
		IFile file = (IFile)manager.getUnit("file.txt");
		
		String str1 = file.readChars(5);
		String str2 = file.readChars(5);

		return (str1.equals(str2) && (filler.getReadCharsInvocationNumber() == 1));
	}
}
