package org.ilyin.tests.testSet;

import org.ilyin.model.*;
import org.ilyin.tests.*;

public class Test53 implements ITest {
	public String getName() {
		return "53. IFileManager.removeListener() test";
	}

	public boolean run() {
		IFileManager manager = FileManagerHolder.getFileManager();
		manager.setFiller(new TestFiller());
		
		TestListener listener = new TestListener();
		manager.addListener(listener);
		manager.removeListener(listener);
		
		IUnit unit = manager.getUnit("file.txt");
		manager.rename(unit, "file2.txt");
		manager.createFile(unit.getParent(), "newfile.txt");
		manager.createFile(unit.getParent(), "newdir");		
		manager.remove(unit);

		return listener.getFireCount() == 0;
	}
}
